### Method

# Foundry LlmCompletion when_finished

#### Declaration [src]

    DexFuture*
    foundry_llm_completion_when_finished (
      FoundryLlmCompletion* self
    )

#### Description

No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value when the LLM completion has finished generating.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.